import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
public class Bar extends Actor
{
    int freq = 0;
    String num;
    Color color;
    
    public Bar(int num)
    {
        this.num = "" + num;
        color = new Color(
            Greenfoot.getRandomNumber(255),
            Greenfoot.getRandomNumber(255),
            Greenfoot.getRandomNumber(255));
    }
    
    public void addedToWorld(World w)
    {
        GreenfootImage img = new GreenfootImage(
            getWorld().getWidth()/((TheWorld)getWorld()).num,
            getWorld().getHeight());
        img.setFont(img.getFont().deriveFont(25.0f));
        setImage(img);
    }

    public void act() 
    {
        makeImage();
    }
    
    public void add()
    {
        freq++;
    }
    
    private void makeImage()
    {
        GreenfootImage img = getImage();
        img.clear();
        img.setColor(color);
        double pct = ((double)freq/((TheWorld)getWorld()).acts);
        int height = (int)Math.round(img.getHeight()*pct);
        img.fillRect(
            0,              img.getHeight()-height,
            img.getWidth(), height);
        img.setColor(Color.BLACK);
        int pct2 = (int)Math.round(pct*100);
        img.drawString(num, img.getWidth()/2 - 10, img.getHeight()-height);
        //img.setColor(color2);
        img.drawString(pct2 + "%", 5, img.getHeight()-5);
    }
}














